%define version 0.1.7
%define release 1
%define name ipasserelle-phpmyadmin

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: phpMyAdmin for iPasserelle
Group: System Environment/Applications
License: GPLv3+
URL: http://www.ipasserelle.com
Source0: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: e-smith-devtools

Requires: ipasserelle-base
Requires: smeserver-webapps-common >= 0.2.7
Requires: smeserver-lemonldap-ng >= 0.2.3
Requires: phpMyAdmin >= 3

Obsoletes: phpmyadmin
Obsoletes: smeserver-phpmyadmin

%description
phpMyAdmin integration for iPasserelle

%changelog
* Fri Aug 8 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.1.7-1
- Disable session.use_trans_sid as it breaks ajax requests

* Wed Nov 13 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.6-1
- Requires phpMyAdmin as phpMyAdmin3 provides it
  Makes it compatible with SME9

* Thu Jun 13 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.5-1
- Increase mem limit to 500M

* Wed Jun 12 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.4-1
- Increase upload size limit to 100M

* Mon Nov 5 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.3-1
- Ensure admin has full access

* Wed Oct 17 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1
- create phpmyadmin database
- save php sessions in /var/lib/phpMyAdmin/tmp
- create an sqladmin user with all privileges and use it instead of root

* Wed Oct 10 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1
- Authentication through LemonLDAP
- Automatically get admin privileges if you are a member of the admins group

* Tue Oct 9 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- Initial release

%prep
%setup -q

%build
%{__mkdir_p} root/var/lib/phpMyAdmin/tmp
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --dir /var/lib/phpMyAdmin/tmp 'attr(0770,root,www)' \
    $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-%{release}-filelist
echo "%doc phpmyadmin.sql" >> %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun


